{% extends "TM/vocab_base.html" %}
{% load static %}

{% block title %}
<h1>Thesauri verwalten</h1>
<div id="controls">
	<a class="button button-dark" href="{% url 'TM:vocab_create' %}">Neuen Thesaurus anlegen</a>
</div>
{% endblock %}

{% block header_controls %}
<a class="button button-small button-regular" href="{% url 'TM:tree' %}">&#8592;&nbsp;Visualisierung</a>
{% endblock %}

{% block maincontent %}

	<div id="list">
		<h2>Gespeicherte Thesauri</h2>
		<table>
			<tr>
				<th><span>Name</span></th>
				<th><span>Version</span></th>
				<th><span>Bereich/Thema</span></th>
				<th><span>Provider</span></th>
				<th><span>Zugriffsmodus</span></th>
				<th><span></span></th>
			</tr>
			{% for vocab in vocabs %}
			<tr>
				<td><span>{{ vocab.name }}</span></td>
				<td><span>{{ vocab.version }}</span></td>
				<td><span>{{ vocab.domain }}</span></td>
				<td><span>{{ vocab.provider.name }}</span></td>
				<td><span>{{ vocab.access_level }}</span></td>
				<td><span><a class="button button-regular button-small" href="{% url 'TM:vocab_detail' vocab.id %}">Detailansicht&nbsp;&rarr;</a></span></td>
			</tr>
			{% endfor %}
		</table>
	</div>

	{% csrf_token %}
	<script type="application/javascript" src="{% static '3rdparty/ajv/6.5.2/ajv.min.js' %}"></script>
	<script type="application/javascript" src="{% static '3rdparty/x2js/1.2.0/xml2json.min.js' %}"></script>
	<script type="application/javascript" src="{% static 'TM/scripts/expandable_menu.js' %}"></script>
	<script type="application/javascript" src="{% static 'TM/scripts/json_xml_import.js' %}"></script>
	<script type="application/javascript" src="{% static 'TM/scripts/verticalTree.js' %}"></script>
	<script type="application/javascript">
		"use strict";

		var json_schema = JSON.parse("{{ json_schema|escapejs }}");

		$(function () {
			var $importSection = $('<div id="json_xml_import_section"/>')

			var $jsonXmlImportSection = createExpandableMenu($importSection, "Thesaurus aus Datei importieren");
			$("<a id='create_new_tree_with_json'>JSON-Datei importieren</a>")
				.on("click", function (event) {
					selectJSONFileAndValidate(saveAsNewTree);
					return false;
				})
				.appendTo($jsonXmlImportSection);

			$("<a id='create_new_tree_with_xml'>XML-Datei importieren</a>")
				.on("click", function (event) {
					selectXMLFileAndValidate(saveAsNewTree);
					return false;
				})
				.appendTo($jsonXmlImportSection);

			$("div#import_section").append($importSection);

			function saveAsNewTree(json) {
				var tree = traverseTreeAndReplaceID(json, true);
				// Create new thesaurus with json tree
				var urlForPostRequest = "{% url 'TM:vocab_create' %}";
				var jsonString = JSON.stringify(tree);
				var submitForm = $("<form method='post' action='" + urlForPostRequest + "'/>").hide().appendTo(document.body);
				$("input[name=csrfmiddlewaretoken]").appendTo(submitForm);
				$("<input/>")
					.attr("type", "hidden")
					.attr("name", "tree")
					.attr("value", jsonString)
					.appendTo(submitForm);
				submitForm.submit();
			}
		});
	</script>

{% endblock %}
